diff -Naur dillo-0.8.4.orig/debian/changelog dillo-0.8.4/debian/changelog
--- dillo-0.8.4.orig/debian/changelog	1970-01-01 01:00:00.000000000 +0100
+++ dillo-0.8.4/debian/changelog	2005-02-16 00:43:27.371466080 +0100
@@ -0,0 +1,218 @@
+dillo (0.8.4-1) unstable; urgency=low
+
+  * New upstream version
+  * Important security update,CAN-2005-0012
+  * Some memory leaks were fixed, reducing memory usage
+  * Cleaned up rules file to use dh_testdir and dh_testroot
+  * closes: #285628, #168605, #150073, #239094
+ 
+ -- Phil Blundell <pb@debian.org>  Wed, 16 Feb 2005 00:24:00 +0000
+ 
+dillo (0.8.3-1) unstable; urgency=low
+
+  * New upstream version (closes: #271437, #278603)
+  * Add build dependency on libssl-dev
+  
+ -- Phil Blundell <pb@debian.org>  Sun,  9 Jan 2005 16:24:00 +0000
+
+dillo (0.8.1-1) unstable; urgency=low
+
+  * New upstream version; closes: #249329, #235381
+  * Correct path to dillorc in manpage and README.Debian; closes: #197025
+
+ -- Phil Blundell <pb@debian.org>  Sun, 30 May 2004 16:56:55 +0100
+
+dillo (0.7.3-1.1) unstable; urgency=low
+
+  * Non-maintainer upload
+  * Moved the manpage to the right location (renamed from dillo.1x to dillo.1)
+    (Closes: #206946)
+
+ -- Roland Stigge <stigge@antcom.de>  Sun, 16 Nov 2003 21:31:47 +0100
+
+dillo (0.7.3-1) unstable; urgency=low
+
+  * New upstream release, closes: #205199
+  * Set debug level to 0, closes: #205063
+  * Fix typo in dillo.desktop, closes: #197027
+
+ -- Phil Blundell <pb@debian.org>  Sun, 17 Aug 2003 13:26:55 +0100
+
+dillo (0.7.2-1) unstable; urgency=low
+
+  * New upstream release.
+  * Comply with version numbering regulations, closes: #189017
+
+ -- Phil Blundell <pb@debian.org>  Wed, 30 Apr 2003 13:25:06 +0100
+
+dillo (0.7.1.2-0) unstable; urgency=low
+
+  * New upstream release, closes: #184170
+  * Reported to compile on Hurd, closes: #162623
+  * Ship Cookies.txt, closes: #152992
+
+ -- Phil Blundell <pb@debian.org>  Thu, 10 Apr 2003 09:33:41 +0100
+
+dillo (0.7.0-2) unstable; urgency=low
+
+  * Mark /etc/dillorc as a conffile.
+
+ -- Phil Blundell <pb@debian.org>  Sat, 22 Feb 2003 23:18:30 +0000
+
+dillo (0.7.0-1) unstable; urgency=low
+
+  * New upstream release, closes: #168793
+  * Fix typo in .desktop file, closes: #160212
+  * Fix typo in control, closes: #160300
+  * Correct invocation of "make install", closes: #179491
+
+ -- Philip Blundell <pb@debian.org>  Thu, 20 Feb 2003 19:07:43 +0000
+
+dillo (0.6.6-3) unstable; urgency=low
+
+  * Add build dependency on automake and autoconf, closes: #152820
+
+ -- Phil Blundell <pb@debian.org>  Sat, 13 Jul 2002 13:17:27 +0100
+
+dillo (0.6.6-2) unstable; urgency=low
+
+  * Correct menu, closes: #149483
+  * Fix typo in description, closes: #150415
+  * Don't force CFLAGS in debian/rules.
+  * Include IPv6 support.
+
+ -- Phil Blundell <pb@debian.org>  Fri, 12 Jul 2002 19:23:03 +0100
+
+dillo (0.6.6-1) unstable; urgency=low
+
+  * New upstream version, closes: #145294
+  * Install in /usr/bin, closes: #142755
+
+ -- Philip Blundell <pb@debian.org>  Thu, 30 May 2002 21:53:16 +0100
+
+dillo (0.6.4-4) unstable; urgency=low
+
+  * Update URL in debian/copyright, closes: #142741
+  * Set --prefix=/usr, closes: #142755
+  * Apply patch containing new pixmaps, closes: #142756
+
+ -- Philip Blundell <pb@debian.org>  Sun, 14 Apr 2002 15:23:59 +0100
+
+dillo (0.6.4-3) unstable; urgency=medium
+
+  * New maintainer, closes: #138950
+  * Revert previous bogus change to font specification, 
+    closes: #137025
+
+ -- Philip Blundell <pb@debian.org>  Wed, 20 Mar 2002 01:35:24 +0000
+
+dillo (0.6.4-2) unstable; urgency=low
+
+  * Fixed font reading problem, (Closes: Bug#134592)
+
+ -- Ron Farrer <rbf@debian.org>  Thu, 21 Feb 2002 08:10:14 -0700
+
+dillo (0.6.4-1) unstable; urgency=low
+
+  * New upstream release.
+  * Fixed Long description line, (Closes: Bug#130929)
+  * Fixed oversized control files, (Closes: Bug#130273)
+  * New release doesn't leak memory, (Closes: Bug#123437)
+
+ -- Ron Farrer <rbf@debian.org>  Wed, 30 Jan 2002 07:22:41 -0700
+
+dillo (0.6.3-2) unstable; urgency=low
+
+  * Added a dillo.desktop, (Closes: Bug#121767)
+  * Dillo 0.6.3 already uploaded, (Closes: Bug#126962)
+
+ -- Ron Farrer <rbf@debian.org>  Tue, 01 Jan 2002 11:09:31 -0700
+
+dillo (0.6.3-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ron Farrer <rbf@debian.org>  Wed, 26 Dec 2001 21:32:29 -0700
+
+dillo (0.6.2-1) unstable; urgency=low
+
+  * New upstream release, (Closes: Bug#115604) 
+
+ -- Ron Farrer <rbf@debian.org>  Thu, 18 Oct 2001 08:20:14 -0700
+
+dillo (0.6.1-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ron Farrer <rbf@debian.org>  Fri, 14 Sep 2001 10:40:56 -0700
+
+dillo (0.6.0-1) unstable; urgency=low
+
+  * New upstream release, (Closes: Bug#107359)
+ 
+ -- Ron Farrer <rbf@debian.org>  Tue, 31 Jul 2001 19:08:40 -0700
+
+dillo (0.5.1-2) unstable; urgency=low
+
+  * Fixed build-depends, (Closes: Bug#100669)
+
+ -- Ron Farrer <rbf@debian.org>  Fri, 15 Jun 2001 13:49:30 -0700
+
+dillo (0.5.1-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ron Farrer <rbf@debian.org>  Mon, 04 Jun 2001 10:06:50 -0700
+
+dillo (0.5.0-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ron Farrer <rbf@debian.org>  Thu, 10 May 2001 21:51:44 -0700
+
+dillo (0.4.0-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ron Farrer <rbf@debian.org>  Mon, 05 Mar 2001 9:04:17 -0800
+
+dillo (0.3.2-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ron Farrer <rbf@debian.org>  Thu, 01 Mar 2001 9:33:09 -0800
+
+dillo (0.3.1-2) unstable; urgency=low
+  
+  * Fixed man page, changed splash screen; Closes bug #82748
+  
+ -- Ron Farrer <rbf@debian.org>  Fri, 19 Jan 2001 10:05:27 -0800
+  
+dillo (0.3.1-1) unstable; urgency=low
+  
+  * New upstream release.
+  
+ -- Ron Farrer <rbf@debian.org>  Wed, 27 Dec 2000 10:14:30 -0800
+  
+dillo (0.3.0.0-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ron Farrer <rbf@debian.org>  Mon, 13 Nov 2000 09:12:54 -0800
+
+dillo (0.3.0pre1-1) unstable; urgency=low
+
+  * New upstream release.
+  * gzilla is now dead upstream, dillo takes it's place.
+
+ -- Ron Farrer <rbf@debian.org>  Wed, 8 Nov 2000 08:06:40 -0800 
+
+dillo (0.2.4-1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Ron Farrer <rbf@farrer.net>  Sun, 3 Sep 2000 13:53:35 -0700 
+
+Local variables:
+mode: debian-changelog
+End:
diff -Naur dillo-0.8.4.orig/debian/conffiles dillo-0.8.4/debian/conffiles
--- dillo-0.8.4.orig/debian/conffiles	1970-01-01 01:00:00.000000000 +0100
+++ dillo-0.8.4/debian/conffiles	2005-02-16 00:42:43.145189496 +0100
@@ -0,0 +1,2 @@
+/etc/dillorc
+/etc/dpidrc
diff -Naur dillo-0.8.4.orig/debian/control dillo-0.8.4/debian/control
--- dillo-0.8.4.orig/debian/control	1970-01-01 01:00:00.000000000 +0100
+++ dillo-0.8.4/debian/control	2005-02-16 00:42:43.145189496 +0100
@@ -0,0 +1,17 @@
+Source: dillo
+Section: web
+Priority: extra
+Maintainer: Phil Blundell <pb@debian.org>
+Standards-Version: 3.1.1.1
+Build-Depends: debhelper, libgtk1.2-dev, libglib1.2-dev, libpng2-dev, zlib1g-dev, libjpeg62-dev, automake, autoconf, libssl-dev
+
+Package: dillo
+Architecture: any
+Depends: ${shlibs:Depends}
+Replaces: gzilla
+Conflicts: gzilla
+Provides: www-browser
+Description: GTK-based web browser
+ Dillo aims to be a multiplatform browser alternative that's small, 
+ stable, developer-friendly, usable, fast, and extensible. Dillo is 
+ mainly based on GTK+ (GNOME is NOT required!) Dillo is very fast!
diff -Naur dillo-0.8.4.orig/debian/copyright dillo-0.8.4/debian/copyright
--- dillo-0.8.4.orig/debian/copyright	1970-01-01 01:00:00.000000000 +0100
+++ dillo-0.8.4/debian/copyright	2005-02-16 00:42:43.146189344 +0100
@@ -0,0 +1,23 @@
+This package was debianized by Ron Farrer <rbf@debian.org>.
+
+It was downloaded from http://dillo.cipsga.org.br/
+
+Copyright:
+
+GNU GPL with following additions:
+Details about the GPL is here /usr/share/common-licenses
+
+The gif.c module was adapted from ppmtogif.c as found in the
+netpbm-1mar1994 release. That code included the following copyright
+notice.
+
+/* +-------------------------------------------------------------------+ */
+/* | Copyright 1990, 1991, 1993, David Koblas.  (koblas@netcom.com)    | */
+/* |   Permission to use, copy, modify, and distribute this software   | */
+/* |   and its documentation for any purpose and without fee is hereby | */
+/* |   granted, provided that the above copyright notice appear in all | */
+/* |   copies and that both that copyright notice and this permission  | */
+/* |   notice appear in supporting documentation.  This software is    | */
+/* |   provided "as is" without express or implied warranty.           | */
+/* +-------------------------------------------------------------------+ */
+
diff -Naur dillo-0.8.4.orig/debian/dillo.1 dillo-0.8.4/debian/dillo.1
--- dillo-0.8.4.orig/debian/dillo.1	1970-01-01 01:00:00.000000000 +0100
+++ dillo-0.8.4/debian/dillo.1	2005-02-16 00:42:43.145189496 +0100
@@ -0,0 +1,38 @@
+.TH DILLO 1 
+.SH NAME
+dillo \- GTK-based web browser
+.SH SYNOPSIS
+.B dillo
+[url]
+.SH DESCRIPTION
+This manual page documents briefly the
+.BR dillo
+command.
+This manual page was written for the Debian GNU/Linux distribution
+because the original program does not have a manual page.
+.PP
+.B dillo
+is based on
+.B gzilla
+and is a free browser which uses the GTK.  It should be considered
+"early alpha" software.
+.SH OPTIONS
+There are no options.  Pass a URL on the command line to open the
+browser at that location.
+.SH EXAMPLES
+.I /etc/dillorc
+is a sample
+.IR ~/.dillo/dillorc .
+.SH FILES
+.I ~/.dillo/dillorc
+.br
+.I ~/.dillo/bookmarks.html
+.SH AUTHOR
+.B dillo
+was created by the Dillo project.  More information can be found on
+the project home page:
+.IP
+http://dillo.sourceforge.net
+.PP
+This man page was created by Ron Farrer <rbf@debian.org> for the
+Debian GNU/Linux distribution.
diff -Naur dillo-0.8.4.orig/debian/dillo.desktop dillo-0.8.4/debian/dillo.desktop
--- dillo-0.8.4.orig/debian/dillo.desktop	1970-01-01 01:00:00.000000000 +0100
+++ dillo-0.8.4/debian/dillo.desktop	2005-02-16 00:42:43.145189496 +0100
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Name=Dillo
+Comment=Lightweight browser
+Exec=dillo
+Terminal=false
+Type=Application
diff -Naur dillo-0.8.4.orig/debian/dirs dillo-0.8.4/debian/dirs
--- dillo-0.8.4.orig/debian/dirs	1970-01-01 01:00:00.000000000 +0100
+++ dillo-0.8.4/debian/dirs	2005-02-16 00:42:43.144189648 +0100
@@ -0,0 +1 @@
+usr/share/gnome/apps/Internet/
diff -Naur dillo-0.8.4.orig/debian/docs dillo-0.8.4/debian/docs
--- dillo-0.8.4.orig/debian/docs	1970-01-01 01:00:00.000000000 +0100
+++ dillo-0.8.4/debian/docs	2005-02-16 00:42:43.144189648 +0100
@@ -0,0 +1,21 @@
+ChangeLog 
+ChangeLog.old
+README 
+AUTHORS
+dillorc
+NEWS
+debian/README.Debian
+doc/Cache.txt
+doc/Cookies.txt
+doc/Dillo.txt
+doc/Dw.txt
+doc/DwImage.txt
+doc/DwPage.txt
+doc/DwStyle.txt
+doc/DwTable.txt
+doc/DwWidget.txt
+doc/HtmlParser.txt
+doc/IO.txt
+doc/Images.txt
+doc/NC_design.txt
+doc/README
diff -Naur dillo-0.8.4.orig/debian/menu dillo-0.8.4/debian/menu
--- dillo-0.8.4.orig/debian/menu	1970-01-01 01:00:00.000000000 +0100
+++ dillo-0.8.4/debian/menu	2005-02-16 00:42:43.145189496 +0100
@@ -0,0 +1,2 @@
+?package(dillo):needs="X11" section="Apps/Net"\
+ title="Dillo" command="/usr/bin/dillo"
diff -Naur dillo-0.8.4.orig/debian/README.Debian dillo-0.8.4/debian/README.Debian
--- dillo-0.8.4.orig/debian/README.Debian	1970-01-01 01:00:00.000000000 +0100
+++ dillo-0.8.4/debian/README.Debian	2005-02-16 00:42:43.146189344 +0100
@@ -0,0 +1,5 @@
+
+To fully make use of dillo, you will want to copy the provided dillorc
+file located in /etc/dillorc into ~/.dillo/ 
+
+This Debian package was created by Ron Farrer <rbf@debian.org>. 
diff -Naur dillo-0.8.4.orig/debian/rules dillo-0.8.4/debian/rules
--- dillo-0.8.4.orig/debian/rules	1970-01-01 01:00:00.000000000 +0100
+++ dillo-0.8.4/debian/rules	2005-02-16 00:43:32.055753960 +0100
@@ -0,0 +1,65 @@
+#!/usr/bin/make -f
+package=dillo
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
+DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+
+
+build:
+	./configure --prefix=/usr --sysconfdir=/etc --enable-ipv6
+	make
+	touch build
+
+clean:
+	dh_testdir
+	dh_testroot
+	-rm -f build
+	-make distclean
+	-rm -f `find . -name "*~"`
+	-rm -rf debian/tmp debian/files* core debian/substvars debian/prerm.debhelper debian/postinst.debhelper debian/postrm.debhelper
+
+binary-indep:	build
+	dh_testdir
+	dh_testroot
+
+binary-arch:	build
+	dh_testdir
+	dh_testroot
+	-rm -rf debian/tmp
+	install -d debian/tmp
+	cd debian/tmp && install -d `cat ../dirs`
+	mkdir -p debian/tmp/etc
+	make DESTDIR=`pwd`/debian/tmp install
+	dh_installdirs
+	dh_installdocs 
+	dh_installexamples
+	dh_installchangelogs
+	dh_installmenu
+#	dh_installcron
+	dh_installman debian/dillo.1
+	install debian/dillo.desktop debian/tmp/usr/share/gnome/apps/Internet/
+	dh_movefiles
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_suidregister
+	dh_shlibdeps
+	dh_gencontrol
+	dh_makeshlibs
+	dh_installdeb
+	dh_md5sums
+	dh_builddeb
+
+#	debstd 
+#	dpkg-gencontrol
+#	chown -R root.root debian/tmp
+#	chmod -R go=rX debian/tmp
+#	dpkg --build debian/tmp ..
+
+
+# Below here is fairly generic really
+
+binary:		binary-indep binary-arch
+
+.PHONY: binary binary-arch binary-indep clean checkroot
